Get Theme
curl --request GET \
--url https://api.egp.scale.com/v4/themes/{theme_id}import requests
url = "https://api.egp.scale.com/v4/themes/{theme_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/themes/{theme_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/themes/{theme_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/themes/{theme_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/themes/{theme_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/themes/{theme_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"theme_vars": {
"accentPrimary": "<string>",
"accentSecondary": "<string>",
"background": "<string>",
"foreground": "<string>"
},
"logo_blob": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Chat Themes
Get Theme
Description
Gets the details of a theme
Details
This API can be used to get information about a single theme by ID. To use this API, pass in the id that was returned from your Create Theme API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
themes
/
{theme_id}
Get Theme
curl --request GET \
--url https://api.egp.scale.com/v4/themes/{theme_id}import requests
url = "https://api.egp.scale.com/v4/themes/{theme_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/themes/{theme_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/themes/{theme_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/themes/{theme_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/themes/{theme_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/themes/{theme_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"theme_vars": {
"accentPrimary": "<string>",
"accentSecondary": "<string>",
"background": "<string>",
"foreground": "<string>"
},
"logo_blob": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The ID of the account that owns the given entity.
The date and time when the entity was archived in ISO format.

